﻿<UserControl x:Class="VECTO3GUI2020.Views.JobEditViews.Vehicle.Components.TyreView_v2_3"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:custom="clr-namespace:VECTO3GUI2020.Views.CustomControls"
             xmlns:local="clr-namespace:VECTO3GUI2020.Views.JobEditViews.Vehicle.Components"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="1*"></ColumnDefinition>
            <ColumnDefinition Width="1*"></ColumnDefinition>
        </Grid.ColumnDefinitions>
        <StackPanel>
            <ContentControl Content="{Binding Path=base}"/>
            <custom:LabledTextBoxAutomatic Content="{Binding TyreClass}"/>
            <custom:LabledTextBoxAutomatic Content="{Binding FuelEfficiencyClass}"/>

            
            <!--custom:LabledTextBoxAutomatic Content="{Binding Dimension}"/-->
            
            
        </StackPanel>
        <StackPanel Grid.Column="1">
            <Grid Grid.Column="1">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="3*"/>
                    <ColumnDefinition Width="3*"/>
                    <ColumnDefinition Width="1*"/>
                </Grid.ColumnDefinitions>
                <Label Content="Dimension "></Label>
                <ComboBox Grid.Column="1" Margin="2 2 2 2" ItemsSource="{Binding AllowedDimensions}" SelectedItem="{Binding Dimension, Mode=TwoWay}"></ComboBox>
            </Grid>
            <custom:LabledTextBoxAutomatic Content="{Binding RRC}" UserUnit="N/N" />
        </StackPanel>
    </Grid>
</UserControl>
